<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF8">
</head>
<body>
<h1>
Prog1 Géptermi ZH, 2016.05.23.
</h1>

<h3> Szöveges feladat </h3>

Egy off-shore szolgáltatótól kapott szivárogtatás alapján információ áll rendelkezésre cégekről és magánszemélyekről, akik érintettek off-shore ügyletekben. Készíts adatszerkezetet és annak működését megfelelően bemutató main() függvényt (<i>nem szükséges interaktivitást írni, noha nem is tilos, illetve nincs megkötés arra sem, hogy egyetlen STL kombinációval akarod-e megoldani vagy másképp</i>), amely képes elvégezni az alábbi részfeladatokat:

<h4>a) alapműködés</h4>
<b><font color=red>Ez a feladat a ZH érvényességi küszöbe, más szóval ez a beugró. Amíg nem működik, nem érvényes a ZH.</font></b>

<p>
Az adatszerkezet legyen képes felvenni új céget és magánszemélyt. Egy céghez lehessen valahogy megadni országot. Lehessen megadni, hogy mely magánszemély mely cégben rendelkezik érdekeltséggel. Egy személy több cégben is lehet érdekelt, és természetesen egy cégben több magánszemély is lehet érdekelt. Egy cég csak egy országhoz lehet hozzárendelve (ahol adóznia kellene valójában). Az újságírók kedvéért legyen hatékonyan lekérdezhető egy adott országba tartozó összes cég összes érdekelt magánszemélye (jelezve a céget ami miatt felsoroljuk) amellett, hogy ábécérendben fel kell tudni sorolni minden magánszemélyt és céget is.

<h4>b) cégháló</h4>

A valóságban cégek is lehetnek tulajdonosok más cégekben. Ezt a lehetőséget is dolgozd fel, és ezzel együtt legyen lehetséges az a) feladatrész, vagyis sorold fel azokat a magánszemélyeket is, akik noha nem a célországban működő cégben érdekeltek, de legalább egy cégük, vagy annak a cége, stb. érdekelt a célországban működő cégben. Ezt a hivatkozási láncot is írjuk ki tetszőleges formában.

<h4>c) fájlműveletek</h4>

A program legyen képes kimenteni CSV formátumban az adatszerkezet teljes tartalmát, és betölteni azt. Ez a részfeladat csak 8 pontot ér a b) részfeladat nélkül, hiszen kevesebbféle adatot kell elmenteni. A CSV formátum pontosvesszővel választja el egymástól az egyes sorok mezőit, és a táblázatkezelő programok tudják olvasni.

<h3> Pontozás </h3>

A ZH érvényes, ha az 1.feladat a) része működik. A többi részfeladat egymástól függetlenül elkészíthető. A tökéletes a) b) és c) feladatrészek megoldásai 10+10+10 pontot érnek. 10 pont szerezhető a kiegészítős feladatból. 10 pontot ér a grafika. Ez összesen 60 pont.

</body>